if exists("b:did_ftplugin")
   finish
endif

if version >= 702 && has("iconv") && !exists('b:encoding_set')
   " Try to recognize the file encoding and convert the file
   let encoding = system("get_html_encoding.py " . shellescape(expand("%")))
   if !v:shell_error
      if !empty(encoding)
         call SetupEncoding(encoding)
      endif
   endif
endif

setlocal matchpairs+=<:> " Add brokets to the list of pairs that match for the '%' command
set shiftwidth=2 softtabstop=2

if expand("%:t") == "bookmarks.html"
   setlocal textwidth=0
   call SetNoWrap()
   nmap \h :%s!</meta>!!<CR>G6k6dd1G0
else
   setlocal textwidth=78
endif
