if exists("b:did_ftplugin")
   finish
endif

if has("iconv") && !exists('b:encoding_set')
   " Try to recognize the file encoding and convert the file
   if search('^Content-Type: text/\(plain\|html\);\n\?\( \|\t\)\+charset=', 'bew') > 0
      let line = getline(".")
      let encoding = matchlist(line, 'charset="\?\(\(\w\|-\)\+\)')[1]
      call SetupEncoding(encoding)
   endif
endif

setlocal textwidth=72
